/*
  This file is part of getFTP.net.

  getFTP.net is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  getFTP.net is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with getFTP.net.  If not, see <http://www.gnu.org/licenses/>.
*/

function title(x) {
 document.title='getFTP.net - '+x;
}
function loadtabs() {
 if(document.cookie!=='') {
  document.getElementById('tabs').innerHTML='<li onclick="loadpage(\'pages.php?page=directory\', \'content\')">Výpis</li>';
 }
}
function closetabs() {
 document.getElementById('tabs').innerHTML='';
}
function loadmenu() {
 if(document.cookie!=='') {
  document.getElementById('menu').innerHTML='<li onclick="create_new_file()" title="Vytvořit nový soubor" class="new-file"></li><li onclick="create_new_directory();" title="Vytvořit novou složku" class="new-directory"></li><li onclick="loadpage(\'pages.php?page=upload\', \'content\')" title="Nahrát soubory" class="upload"></li><li onclick="loadpage(\'pages.php?page=disconnect\', \'content\')" title="Odpojit se od serveru" class="disconnect"></li>'; //<li onclick="loadpage(\'pages.php?page=directory&download\')" title="Stáhnout všechny soubory" class="download"></li>
 }
}
function closemenu() {
 document.getElementById('menu').innerHTML='';
}
function input_file(x) {
 id=document.getElementById('f'+x);
 x++;
 id.innerHTML='<input type="file" name="file[]" onchange="input_file('+x+');"><span id="f'+x+'"></span>';
}

// Tento script je od pana Jiřího Zralého (http://citron.blueboard.cz). Děkuji za jeho publikaci.
function loadpage(stranka, kam) {
 var httpRequest;
 if(typeof window.ActiveXObject != 'undefined') {
  httpRequest = new ActiveXObject("Microsoft.XMLHTTP");
 }else{
  httpRequest = new XMLHttpRequest();
 }
 httpRequest.open("GET", stranka, true);
 httpRequest.onreadystatechange= function () {
  processRequest(httpRequest, kam) 
 };
 httpRequest.send(null);
}
function processRequest(httpRequest, kam) {
 if (httpRequest.readyState == 4) {
   if (typeof kam == 'string') {
    document.getElementById(kam).innerHTML = httpRequest.responseText;
    title('připraven');
    loadtabs();
    loadmenu();
   }
   if (typeof kam == 'function') {
    kam(httpRequest.responseText);
   }
 }else{
  if (typeof kam == 'string' && kam != '') {
   document.getElementById(kam).innerHTML = '<img src="images/loader.gif" alt="Nahrávám" title="Nahrávám" class="loader">';
   title('nahrávám');
   closetabs();
   closemenu();
  }
 }
}
function create_new_directory() {
 document.getElementById('list').innerHTML='<tr class="active"><td class="checkbox"></td><td class="icon"><img src="images/icons/directory.gif" alt="Nová složka"></td><td colspan="5"><input type="text" class="text" id="name" value="nova_slozka"><input type="submit" class="submit" onclick="loadpage(\'pages.php?page=directory&create_dir=\'+document.getElementById(\'name\').value);" value="Vytvořit"></td></tr>'+document.getElementById('list').innerHTML;
}
function create_new_file() {
 document.getElementById('list').innerHTML='<tr class="active"><td class="checkbox"></td><td class="icon"><img src="images/icons/file.gif" alt="Nový soubor"></td><td colspan="5"><input type="text" class="text" id="name" value="novy_soubor.html"><input type="submit" class="submit" onclick="loadpage(\'pages.php?page=directory&create_file=\'+document.getElementById(\'name\').value);" value="Vytvořit"></td></tr>'+document.getElementById('list').innerHTML;
}

function login() {
 document.cookie = 'ftp_server='+document.getElementById('server').value+';';
 document.cookie = 'username='+document.getElementById('username').value+';';
 document.cookie = 'password='+document.getElementById('password').value+';';
 loadmenu();
 loadpage('pages.php?page=directory&password='+document.getElementById('password').value+'&dir='+document.getElementById('directory').value, 'content');
}
function send(x) {
 document.getElementById('function').value=x;
 document.form.submit();
}
function plus(id,num) {
 document.getElementById(id).value-=-num;
}
function minus(id,num) {
 document.getElementById(id).value-=num;
}
function checkall() {
 var id=1;
 while(document.getElementById(id)) {
  if(document.getElementById(id).checked===true) {
   document.getElementById(id).checked=false;
  }else{
   document.getElementById(id).checked=true;
  }
  id++;
 }
}