<?php
/*
  This file is part of getFTP.net.

  getFTP.net is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  getFTP.net is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with getFTP.net.  If not, see <http://www.gnu.org/licenses/>.
*/

if(isset($_COOKIE['ftp_server'])) {
 require('functions.php');
 if(isset($_GET['password'])) {
  setcookie('password', base64_encode($_GET['password']));
  $password=$_GET['password'];
 }else{
  $password=base64_decode($_COOKIE['password']); 
 }
 $connect=@ftp_connect($_COOKIE['ftp_server']);
 if($login=@!ftp_login($connect, $_COOKIE['username'], $password)) {
  setcookie('ftp_server','',time()-3600);
  setcookie('username','',time()-3600);
  setcookie('password','',time()-3600);
  die(error('Přihlašování se nezdařilo.'));
 }
 if(isset($_COOKIE['dir'])) {
  @ftp_chdir($connect, $_COOKIE['dir']);
 }
 if(ftp_pwd($connect)=='/') {
  $current_dir='/';
 }else{
  $current_dir=ftp_pwd($connect).'/';
 }
 if(isset($_GET['dir'])) {
  if($_GET['dir']=='up') {
   ftp_cdup($connect);
  }else{
   if(ftp_is_dir($current_dir.$_GET['dir'])) {
    ftp_chdir($connect, $current_dir.$_GET['dir']);
   }
  }
 }
 if(ftp_pwd($connect)=='/') {
  $current_dir='/';
 }else{
  $current_dir=ftp_pwd($connect).'/';
 }
 setcookie('dir', ftp_pwd($connect));
}
switch($_GET['page']) {
 default:
 if(isset($_COOKIE['ftp_server'])) {
  header('Location: pages.php?page=directory');
 }
?>
 <div class="login">
 <table>
 <tr><td>FTP server:</td><td><input type="text" class="text" id="server"></td></tr>
 <tr><td>Přihlašovací jméno:</td><td><input type="text" class="text" id="username"></td></tr>
 <tr><td>Heslo:</td><td><input type="password" class="text" id="password"></td></tr>
 <tr><td>Výchozí adresář:</td><td><input type="text" class="text" id="directory"></td><td class="second"><input type="submit" class="submit" onclick="login()" value="Připojit se"></a></td></tr>
 </table>
 </div>
<?php
 break;
 case 'directory':
?>
 <div class="top"><input type="checkbox" onchange="checkall()">
 <div>
 <a onclick="send('copy')">Kopírovat</a>
 <a onclick="if(confirm('Opravdu chcete smazat vybrané soubory a složky?')) send('delete')">Smazat</a>
 <a onclick="send('chmod')">Práva</a>
 <a onclick="send('rename')">Přejmenovat</a>
 <a onclick="send('download')">Stáhnout</a>
 </div>
 </div>
 <iframe name="iframe"></iframe>
 <form class="content" name="form" action="" method="post" id="form">
 <input type="hidden" name="function" id="function">
 <table cellspacing="0" id="list">
<?php
  if(!empty($_GET['create_dir'])) {
   ftp_mkdir($connect, $current_dir.$_GET['create_dir']);
  }elseif(!empty($_GET['create_file'])) {
   file_put_contents('tmp/tmp.txt', 'Soubor byl vytvořen aplikací getFTP.net. Děkuji za její používání ;-)');
   ftp_put($connect, $current_dir.$_GET['create_file'], 'tmp/tmp.txt', FTP_BINARY);
  }
  $list=ftp_rawlist($connect, ftp_pwd($connect));
  if(ftp_pwd($connect)!=='/') {
   echo '<tr><td class="checkbox"></td><td class="icon"><img src="images/up.gif"></td><td colspan="5"><a onclick="loadpage(\'pages.php?page=directory&dir=up\',\'content\');">O adresář výše</a></td></tr>';
  }
  $x=0;
  foreach($list as $item) {
   $x++;
   if($x%2==0) {
    $second=' class="second"';
   }else{
    $second='';
   }
   $info = preg_split("/[\s]+/", $item, 9);
   if($info[8]!=='.' AND $info[8]!=='..') {
    if(ftp_is_dir($current_dir.$info[8])) {
     echo '<tr'.$second.'><td class="checkbox"><input type="checkbox" name="item[]" value="'.$info[8].'" id="'.$x.'"></td><td class="icon"><img src="images/directory.gif" alt="Složka"></td><td class="name"><a onclick="loadpage(\'pages.php?page=directory&dir='.$info[8].'\',\'content\')">'.$info[8].'</a></td><td class="size">'.$info[4].' kB</td><td class="chmod">'.$info[0].'</td><td class="date">'.$info[6].'. '.$info[5].', '.$info[7].'</td><td class="owner">'.$info[2].'</td></tr>';
    }else{
     echo '<tr'.$second.'><td class="checkbox"><input type="checkbox" name="item[]" value="'.$info[8].'" id="'.$x.'"></td><td class="icon"><img src="images/file.gif" alt="Složka"></td><td class="name"><a onclick="loadpage(\'pages.php?page=file&file='.$info[8].'\',\'content\')">'.$info[8].'</a></td><td class="size">'.$info[4].' kB</td><td class="chmod">'.$info[0].'</td><td class="date">'.$info[6].'. '.$info[5].', '.$info[7].'</td><td class="owner">'.$info[2].'</td></tr>';
    }
   }
  }
?>
 </table>
 </form>
 <div class="bottom"></div>
<?php
 break;
 case 'file':
 if(ftp_get($connect, 'tmp/tmp.txt', $_GET['file'], FTP_BINARY)) {
  if(isset($_GET['encoding'])) {
   file_put_contents('tmp/tmp.txt', mb_convert_encoding(file_get_contents('tmp/tmp.txt'), 'UTF-8', $_GET['encoding']));
  }
 // Následující obrázek je podstrčen pouze kvůli JavaScriptu, jiná metoda mě nenapadla
?>
<form action="#" method="post" id="form">
<img src="images/main-main.gif" width="0" onload="loadpage('tmp/tmp.txt','source'); loadpage('pages.php?page=tmp_clear', 'load');" id="load">
<div class="top"><input type="hidden" name="name" value="<?=$_GET['file']; ?>"><div><strong><?=$_GET['file']; ?></strong></div></div>
<div class="content">
<textarea name="source" id="source" wrap="off"></textarea>
</div>
<div class="bottom-file">
<ul>
<li><input type="submit" value="Uložit" name="save"></li>
</ul>
<select name="encoding" id="encoding" onchange="this.form.submit()">
<?php
foreach($list_of_encodings as $encoding) {
 $value=$encoding;
 switch($value) {
  case 'Windows-1250': $value='CP1252'; break;
  case 'ISO 8859-2': $value='ISO-8859-2'; break;
 }
 if($_GET['encoding']==$value) {
  $selected=' selected';
 }else{
  $selected='';
 }
 echo '<option value="'.$value.'"'.$selected.'>'.$encoding.'</option>';
}
?>
</select>
<label for="encoding">Kódování</label>
</div>
</form>
<?php
 }else{
  error('Soubor <b>'.$_GET['file'].'</b> neexistuje');
 }
 break;
 case 'disconnect':
  setcookie('ftp_server','',time()-3600);
  setcookie('username','',time()-3600);
  setcookie('password','',time()-3600);
  setcookie('dir','',time()-3600);
  header('Location: pages.php');
 break;
 case 'tmp_clear':
 /* Soubor tmp/tmp.txt se musí pokaždé mazat, aby nedošlo k úniku dat */
  unlink('tmp/tmp.txt');
 break;
 case 'uploading':
 /* Tato část se stará o nahrávání souborů */
 if(isset($_POST['upload'])) {
  for($x=0;$x<count($_FILES['file']['tmp_name']);$x++) {
   if(is_uploaded_file(current($_FILES['file']['tmp_name']))) {
    if(substr($_POST['target'], -1)=='/') {
     $target=$_POST['target'];
    }else{
     $target=$_POST['target'].'/';
    }
    ftp_put($connect, $target.current($_FILES['file']['name']), current($_FILES['file']['tmp_name']), FTP_BINARY) or $error=1;
   }
   next($_FILES['file']['tmp_name']);
  }
  if(isset($error)) {
   js_alert('Při nahrávání souborů došlo k chybě.');
  }
  js_alert('Soubory byly úspěšně nahrány.');
 }
 break;
 case 'upload':
?>
 <div class="top"></div>
 <iframe src="pages.php?page=uploading" name="iframe"></iframe>
 <form class="content" action="pages.php?page=uploading" method="post" target="iframe" enctype="multipart/form-data">
 <div class="active">
 <h2>Nahrávání souborů</h2>
 <div><label for="target">cílový adresář:</label><input type="text" class="text" name="target" value="<?=$current_dir?>" id="target"><input type="submit" class="submit" name="upload" value="Nahrát"></div>
 </div>
 <p class="text">
 Maximální velikost jednoho souboru je: <strong><?=ini_get('upload_max_filesize')?>B</strong>. Pokud existuje soubor stejného jména, bude přepsán.
 </p>
 <div class="text">
 <input type="file" name="file[]" onchange="input_file(1);"><span id="f1"></span>
 </div>
 </form>
 <div class="bottom"></div>
<?php
 break;
 case 'copying':
 /* Tato část se stará o kopírování souborů a složek */
 if(isset($_POST['copy'])) {
  if(isset($_POST['all'])) {
   if(ftp_is_dir($_POST['target'])) {
    $target=$_POST['target'];
   }else{
    js_alert('Adresář '.$_POST['target'].' neexistuje');
    die();
   }
  }
  for($x=0;$x<count($_POST['file']);$x++) {
   if(!isset($target)) {
    $target=current($_POST['target2']);
   }
   if(substr($target, -1)!=='/') {
    $target.='/';
   }
   if(ftp_is_dir(current($_POST['file']))) {
    ftp_cpdir($connect, current($_POST['file']), $target);
   }else{
    ftp_cpfile($connect, current($_POST['file']), $target);
   }
   next($_POST['file']);
   if(!isset($_POST['all'])) {
    next($_POST['target2']);
   }
  }
  js_alert('Vše bylo úspěšně zkopírováno');
 }
 break;
 case 'chmod':
  if(isset($_POST['change_chmod'])) {
   for($x=0;$x<count($_POST['file']);$x++) {
    if(isset($_POST['all'])) {
     $chmod=$_POST['chmodall'];
    }else{
     $chmod=current($_POST['chmod']);
    }
    $chmod='0'.$chmod;
    ftp_chmod($connect, eval("return({$chmod});"), $current_dir.current($_POST['file']));
    if(!isset($_POST['all'])) {
     next($_POST['chmod']);
    }
    next($_POST['file']);
   }
   js_alert('CHMOD byl změněn.');
  }
 break;
 case 'rename':
  if(isset($_POST['rename'])) {
   for($x=0;$x<count($_POST['file']);$x++) {
    ftp_rename($connect, $current_dir.current($_POST['file']), $current_dir.current($_POST['name'])) or $error=1;
    next($_POST['file']);
    next($_POST['name']);
   }
   if(isset($error)) {
    js_alert('Při přejmenování došlo k chybě.');
   }else{
    js_alert('Označené soubory a složky byly přejmenovány.');
   }
  }
 break;
}
?>